| QxOrm 1.4.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
qx::service::IxParameter Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::IxParameter : common interface for all parameters transfered by QxService module of QxOrm library More...

`#include <IxParameter.h>`

List of all members.

## Public Member Functions
| IxParameter ()
virtual | ~IxParameter ()
virtual void | registerClass () const
virtual QString | getClassName () const
virtual void | save (QDataStream &stream) const
virtual void | load (QDataStream &stream)
virtual QJsonValue | saveToJson () const
virtual qx_bool | loadFromJson (const QJsonValue &val)
## Friends
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::service::IxParameter &t)
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::service::IxParameter &t)

## Detailed Description

qx::service::IxParameter : common interface for all parameters transfered by QxService module of QxOrm library

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 73 of file IxParameter.h.

## Constructor & Destructor Documentation

qx::service::IxParameter::IxParameter | ( |  | ) |

virtual qx::service::IxParameter::~IxParameter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::service::IxParameter::getClassName | ( |  | ) | const`[virtual]`

virtual void qx::service::IxParameter::load | ( | QDataStream & | stream | ) | `[virtual]`

virtual qx_bool qx::service::IxParameter::loadFromJson | ( | const QJsonValue & | val | ) | `[virtual]`

virtual void qx::service::IxParameter::registerClass | ( |  | ) | const`[virtual]`

virtual void qx::service::IxParameter::save | ( | QDataStream & | stream | ) | const`[virtual]`

virtual QJsonValue qx::service::IxParameter::saveToJson | ( |  | ) | const`[virtual]`

## Friends And Related Function Documentation

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::service::IxParameter & | t
| ) |  | `[friend]`

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::service::IxParameter & | t
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxService/IxParameter.h